# How to comment a commit

## implement

Use prefix ```imp:```.

A *implement* is an implementation of a functionality.

## feature

Use prefix ```fea:```.

A *feature* is new functionality i.e. a user can do something new with the software.

## enhancement

Use prefix ```enh:```.

An enhancement makes doing something that was possible before simpler, more powerful or adds somehow to existing functionality.

## refactor

Use prefix ```ref:```.

Refactoring is the activity of improving the internal structure or operation of a code or component without changing its external behavior. The goal of software development is the continuous delivery of business value to users and stakeholders.

## fix

Use prefix ```fix:```.

Bug fixing is a correction to a bug in a computer program or system.

